DynamicContentDataHandler (Axis API)
Keywords: org.apache.axis.attachments.DynamicContentDataHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.attachments
Class DynamicContentDataHandler

    java.lang.Object
      javax.activation.DataHandler
          org.apache.axis.attachments.DynamicContentDataHandler

All Implemented Interfaces:
  java.awt.datatransfer.Transferable

public class DynamicContentDataHandler
extends javax.activation.DataHandler

To be used with writing out DIME Attachments. AXIS will use DIME record chunking.

Author:
  Marc Dumontier (mrdumont@blueprint.org)

Constructor Summary
`DynamicContentDataHandler(javax.activation.DataSource arg0)`
`DynamicContentDataHandler(java.lang.Object arg0, java.lang.String arg1)`
`DynamicContentDataHandler(java.net.URL arg0)`

Method Summary
`int` | `getChunkSize()` Get the DIME record chunk size
`void` | `setChunkSize(int chunkSize)` Set the DIME record chunk size

Methods inherited from class javax.activation.DataHandler
`getAllCommands, getBean, getCommand, getContent, getContentType, getDataSource, getInputStream, getName, getOutputStream, getPreferredCommands, getTransferData, getTransferDataFlavors, isDataFlavorSupported, setCommandMap, setDataContentHandlerFactory, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicContentDataHandler

    public DynamicContentDataHandler(javax.activation.DataSource arg0)

Parameters:
  `arg0` -

### DynamicContentDataHandler

    public DynamicContentDataHandler(java.lang.Object arg0,
                                     java.lang.String arg1)

Parameters:
  `arg0` -
  `arg1` -

### DynamicContentDataHandler

    public DynamicContentDataHandler(java.net.URL arg0)

Parameters:
  `arg0` -

Method Detail

### getChunkSize

    public int getChunkSize()

  Get the DIME record chunk size

  Returns:
    The value

### setChunkSize

    public void setChunkSize(int chunkSize)

  Set the DIME record chunk size

  Parameters:
    `chunkSize` - The value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.